Summary:        Fast real-time compression algorithm
Name:           zstd
Version:        1.5.5
Release:        3%{?dist}
License:        BSD and GPLv2
URL:            https://facebook.github.io/zstd
Source0:	https://github.com/facebook/zstd/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  lz4-devel xz-devel zlib-devel execstack gtest-devel
BuildRequires:  make gcc gcc-c++

%description
Zstandard, or zstd as short version, is a fast lossless compression 
algorithm, targeting real-time compression scenarios at zlib-level 
and better compression ratios. It's backed by a very fast entropy 
stage, provided by Huff0 and FSE library.

%package -n lib%{name}
Summary:        Zstd shared library

%description -n lib%{name}
Zstandard compression shared library.

%package -n lib%{name}-devel
Summary:        Header files and libraries for zstd development
Requires:       lib%{name} = %{version}-%{release}

%description -n lib%{name}-devel
This package provides header files and libraries for zstd development.

%prep
%autosetup -p1

%build
export PREFIX="%{_prefix}" LIBDIR="%{_libdir}"
%make_build -C lib lib-mt 
%make_build -C programs 
%make_build -C contrib/pzstd

%install
%make_install PREFIX="%{_prefix}" LIBDIR="%{_libdir}"
install -D -m 0755 contrib/pzstd/pzstd %{buildroot}%{_bindir}/pzstd
install -D -m 0644 programs/%{name}.1 %{buildroot}%{_mandir}/man1/p%{name}.1

%check
execstack lib/libzstd.so.1
make -C tests test-zstd
make -C contrib/pzstd test

%files
%license COPYING LICENSE
%doc CHANGELOG README.md
%{_bindir}/%{name}
%{_bindir}/p%{name}
%{_bindir}/%{name}mt
%{_bindir}/un%{name}
%{_bindir}/%{name}cat
%{_bindir}/%{name}grep
%{_bindir}/%{name}less
%{_mandir}/man1/p%{name}.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/un%{name}.1*
%{_mandir}/man1/%{name}cat.1*
%{_mandir}/man1/%{name}grep.1*
%{_mandir}/man1/%{name}less.1*

%files -n lib%{name}
%license COPYING LICENSE
%{_libdir}/libzstd.so.*

%files -n lib%{name}-devel
%{_includedir}/zdict.h
%{_includedir}/zstd.h
%{_includedir}/zstd_errors.h
%{_libdir}/pkgconfig/libzstd.pc
%{_libdir}/libzstd.so
%{_libdir}/libzstd.a

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.5-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> 1.5.5-1
- upgrade to 1.5.5

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 Xiaojie Chen <jackxjchen@tencent.com> 1.5.2-1
- Initial build
